
## Changelog
Please READ this changelog before performing the update on your current Framework Version.

## Versions
- 1.2.2 ( This Version | Stable )
- 1.2.1
- 1.2.0
- 1.0.1 [ Beta ]
- 1.0.0 [ Beta ]

In order to update the your Framework Version from ( 1.0.* 1.2.0 ) to ( 1.2.1 ) you're subject to read the following doc.
- This update has a brand new features and improvments.
- This update is not beta.

## Requirements
Each Version of this Framework may require new modules or extensions to be available on your server.

- Server
    - If localhost ( Please install Ampps or AppServ )
- PHP
    - Version 5.5 or Newer
    - Tokenizer ( PHP Module )
- Apache
    - Mode_Rewrite ( Apache Module )





## Whats New?
- Features
    - Auto Load ( Controllers )
    - Pre-Installation Check ( Extensions )
    - Native Controllers Compiler
    - SQL Manager ( The Advanced Query Builder )
    - DBObject ( Advanced stdSQL Manager )
    - Developer Console ( Improved )
    - Brand new Console for Debugging
    - Multi-Languages ( Is now supported )
    - New Internal Functions
    - Brand new Page Navigator
    - Auto Detection of ( Controllers, Models, Helpers ) associated for the Viewer.
    - More +9 Features..
- Improvements
    - Main Core ( Improvements )
    - Main Controller ( Improvements )
    - Auto Loader ( Improvements )
    - Firewall ( Improvements )
    - Caching System ( Improvements )
    - Performance ( Bugs Fixed )
    - MySQL(i) Objective Controller ( Improvements )
    - More Improvements And fixes..



##### How to perform the Update?
Using your browser or Git.

```sh
 $git clone https://github.com/DrHazemAli/Skytells-PHP-Framework.git
```
